# addon.uninstall

Uninstalls an addon

Usage

    addon.uninstall [-q] [-n] <id>

Description
Uninstalls the specified addon by executing its uninstall callback function and removing its installed files. It also removes the addon's registration entry. If the -n switch is specified the the uninstall callback is not called, only the registration entry is removed.
Switches

-n | --no-callback
Doesn't call the uninstall callback but only removes the registration entry.
-q | --quiet
Makes the command run quietly

Syntax Specification

    addon.uninstall [-q] [-n] <id:string>

See also
addon.register

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013